Bug 435964 - gfortran ICE: segfault on valid code
gfortran ICE: segfault on valid code
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc4 (Show other bugs)
4.0
i686 Linux
low Severity medium
: rc
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 12:38 EST by Simon Binnie
Modified: 2009-05-18 16:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:34:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
testcase for above bug (463 bytes, text/plain)
2008-03-04 12:39 EST, Simon Binnie
no flags Details
Typescript file to show that the compiler caused the internal error. (1.11 KB, text/plain)
2008-03-23 20:18 EDT, Murakami Hiroshi
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 37749 None None None Never

  None (edit)
Description Simon Binnie 2008-03-04 12:38:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.8.0.12) Gecko/20080201 Red Hat/1.5.0.12-0.10.el4 Firefox/1.5.0.12 pango-text

Description of problem:
Gfortran always segfaults on this piecce of code and is unable to compile. 


Version-Release number of selected component (if applicable):
gcc4-4.1.2-14.EL4

How reproducible:
Always


Steps to Reproduce:
1.gfortran -v -save-temps -c ice_bug.f90


Actual Results:
Using built-in specs.
Target: i386-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--enable-checking=release --with-system-zlib --enable-__cxa_atexit
--disable-libunwind-exceptions --with-gxx-include-dir=/usr/include/c++/3.4.3
--enable-libgcj-multifile --enable-languages=c,c++,java,f95
--enable-java-awt=gtk --disable-dssi
--with-java-home=/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre --with-cpu=generic
--host=i386-redhat-linux
Thread model: posix
gcc version 4.1.2 20070626 (Red Hat 4.1.2-14)
 /usr/libexec/gcc/i386-redhat-linux/4.1.2/f951 ice_bug.f90 -quiet -dumpbase
ice_bug.f90 -mtune=generic -auxbase ice_bug -version -I
/usr/lib/gcc/i386-redhat-linux/4.1.2/finclude -o ice_bug.s
GNU F95 version 4.1.2 20070626 (Red Hat 4.1.2-14) (i386-redhat-linux)
        compiled by GNU C version 4.1.2 20070626 (Red Hat 4.1.2-14).
GGC heuristics: --param ggc-min-expand=99 --param ggc-min-heapsize=129265
ice_bug.f90:14: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.

Expected Results:


Additional info:
Comment 1 Simon Binnie 2008-03-04 12:39:34 EST
Created attachment 296773 [details]
testcase for above bug

Sorry about the varnames etc. but I had to reduce the testcase down from some
proprietary code
Comment 2 Murakami Hiroshi 2008-03-23 20:18:38 EDT
Created attachment 298872 [details]
Typescript file to show that the compiler caused the internal error.

This is the sample that gfortran 4.1.2 (Red Hat 4.12-27)
causes internal compiler error: Segmentation fault.
Comment 3 RHEL Product and Program Management 2008-09-05 13:16:24 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 errata-xmlrpc 2009-05-18 16:34:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1020.html

Note You need to log in before you can comment on or make changes to this bug.